<div class="app-modal">
  <div class="app-modal-header bg-dark">
    {% if database_config.database_pk == 'psql' %}
      PostgreSQL
      <i class="fa-solid fa-circle-info ms-2 text-white" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-title="PostgreSQL server that your app roles and databases are created on. Settings here are plugged into the Terraform module as environment variables"></i>
    {% else %}
      MySQL (currently not supported)
      <i class="fa-solid fa-circle-info ms-2 text-white" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-title="MySQL server that your app roles and databases are created on. Settings here are plugged into the Terraform module as environment variables"></i>
    {% endif %}</div>
  <div class="app-modal-body">

    <!-- Info display -->
    <div class="database-info">
      <div class="row my-1">
        <strong class="col col-md-3">Database username</strong>
        <pre class="col col-md-9 mb-0">{% if database_config.database_username %}{{ database_config.database_username }}{% else %}Not set{% endif %}</pre>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">Database name</strong>
        <pre class="col col-md-9 mb-0">{% if database_config.database_name %}{{ database_config.database_name }}{% else %}Not set{% endif %}</pre>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">Database host</strong>
        <pre class="col col-md-9 mb-0">{% if database_config.database_host %}{{ database_config.database_host }}{% else %}Not set{% endif %}</pre>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">Database password</strong>
        {% if database_config.database_password %}
          <span class="password-display col col-md-9">
          <pre class="password mb-0">****************</pre>
          <pre class="text d-none mb-0"><code>{{ database_config.database_password }}</code></pre>
            <div class="show-btn">Show</div>
          </span>
        {% else %}
        <pre class="col col-md-9 mb-0">Not set</pre>
        {% endif %}
      </div>
      <button type="button" class="btn btn-outline-dark btn-sm mt-3 edit-btn">Edit</button>
    </div>

    <!-- Form -->
    <form
      action="{% url 'update_database_config' database_pk=database_config.database_pk %}"
      method="post"
      class="database-form d-none">
      {% csrf_token %}
      <div class="row my-1">
        <strong class="col col-md-3">Database username</strong>
        <span class="col col-md-9">
          <input type="text" name="database_username" class="form-control col col-md-9" {% if database_config.database_username %}value="{{ database_config.database_username }}"{% endif %}>
        </span>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">Database name</strong>
        <span class="col col-md-9">
          <input type="text" name="database_name" class="form-control col col-md-9" {% if database_config.database_name %}value="{{ database_config.database_name }}"{% endif %}>
        </span>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">Database host</strong>
        <span class="col col-md-9">
          <input type="text" name="database_host" class="form-control col col-md-9" {% if database_config.database_host %}value="{{ database_config.database_host }}"{% endif %}>
        </span>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">Database password</strong>
        <span class="col col-md-9">
          <input type="text" name="database_password" class="form-control col col-md-9" {% if database_config.database_password %}value="{{ database_config.database_password }}"{% endif %}>
        </span>
      </div>
      <button type="button" class="btn btn-danger btn-sm mt-2 cancel-btn">Cancel</button>
      <button type="submit" class="btn btn-dark btn-sm mt-2">Submit</button>
    </form>
  </div>
</div>
